#pragma once
#include "Mod.h"

class AutoTool : public Mod {
public:
	int spoof = 0;
	AutoTool() : Mod(_("Auto Tool"), _("Automatically switches items."), Category::PLAYER) {
		settings.push_back(new Setting{ _("Spoof"), &spoof, new int(1), new int(0), 1, {
			_("Off"), _("Fake")	
			}, true });

		enabled = false;
	}

private:
	int oldslot = 0;
	bool destroying = false;
	bool stopdestroying = false;
	virtual auto onStartDestroyBlock() -> void override;
	virtual auto onStopDestroyBlock() -> void override;
	virtual auto onImGuiRender() -> void override;

	virtual auto onWorldTick(Player* _this) -> void override;
};
